Bug 530301 - Review Request: bmpanel2 - NETWM compliant panel for X
Review Request: bmpanel2 - NETWM compliant panel for X
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 05:10 EDT by Marcus Moeller
Modified: 2010-01-19 14:44 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.1-0.6.pre1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 11:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2009-10-22 05:10:23 EDT
Spec URL: http://marcus-moeller.de/share/build/bmpanel2/2.0.1a-1/bmpanel2.spec
SRPM URL: http://marcus-moeller.de/share/build/bmpanel2/2.0.1a-1/bmpanel2-2.0.1a-1.fc11.src.rpm

Description:
bmpanel2 is a NETWM-compatible panel for X11 which is highly customizable
via themes. It contains a bunch of widgets like: a desktop switcher, a taskbar,
a launchbar, a systray, a clock and supports pseudo-transparency.

Note: Upstream Sources does not contain LICENSE or COPYING file. This has been reported and will be fixed in upcoming release.

rpmlint SPECS/bmpanel2.spec SRPMS/bmpanel2-2.0.1a-1.fc11.src.rpm RPMS/i586/bmpanel2-2.0.1a-1.fc11.i586.rpm RPMS/i586/bmpanel2-debuginfo-2.0.1a-1.fc11.i586.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Sandro Mathys 2009-10-22 08:09:35 EDT
Builds successfully on all archs for dist-f12:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1762702
Comment 2 Mamoru TASAKA 2009-11-05 11:14:38 EST
2.1 pre1 seems released 4 days ago, which contains COPYING file.
Would you have a plan to update to this?
Comment 3 Marcus Moeller 2009-11-06 04:50:56 EST
Updated to upstream version 2.1pre1:

Spec URL: http://marcus-moeller.de/share/build/bmpanel2/2.1-0.1.pre1-1/bmpanel2.spec
SRPM URL: http://marcus-moeller.de/share/build/bmpanel2/2.1-0.1.pre1-1/bmpanel2-2.1-0.1.pre1.fc11.src.rpm

rpmlint SPECS/bmpanel2.spec RPMS/i586/bmpanel2-2.1-0.1.pre1.fc11.i586.rpm RPMS/i586/bmpanel2-debuginfo-2.1-0.1.pre1.fc11.i586.rpm SRPMS/bmpanel2-2.1-0.1.pre1.fc11.src.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Mamoru TASAKA 2009-11-08 11:51:57 EST
Build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1794894
Comment 5 Marcus Moeller 2009-11-09 06:53:22 EST
- Added python-devel build requirement
- Fixed docbook stylesheet reference

Spec URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.2.pre1/bmpanel2.spec

SRPM URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.2.pre1/bmpanel2-2.1-0.2.pre1.fc11.src.rpm

Builds fine in mock and Koji (sb: http://koji.fedoraproject.org/koji/taskinfo?taskID=1795775)

Best Regards
Marcus
Comment 6 Mamoru TASAKA 2009-11-10 13:58:23 EST
  Well,

* License
- The following files (and perhaps the image files in the same directories)
  are under CC-BY-NC-SA, which is not accepted.
  https://fedoraproject.org/wiki/Licensing#Bad_Licenses_3

-------------------------------------------------------------------
CC-BY-NC-SA:
./themes/alduin-glossy/theme
./themes/alduin-smooth/theme
./themes/auriel-blue-opaque/theme
./themes/auriel-blue-smooth/theme
./themes/auriel-green-opaque/theme
./themes/auriel-green-smooth/theme
./themes/auriel-pink-opaque/theme
./themes/auriel-pink-smooth/theme
./themes/curvy-blue/theme
./themes/curvy-green/theme
./themes/curvy-pink/theme
./themes/flora-blue/theme
./themes/flora-green/theme
./themes/flora-pink/theme
./themes/striped/theme
--------------------------------------------------------------------
  First please remove these files from tarball. see:
  https://fedoraproject.org/wiki/Packaging/SourceURL#When_Upstream_uses_Prohibited_Code
  Also it is highly recommended to contact the upstream.

Then some notes
* Requires
  - "Requires: pango cairo" are redundant and should be removed, because
    these library related dependencies are automatically detected by rpmbuild
    itself and these dependencies are added to the rebuilt binary rpm.

  - Also "Requires: python" is unneeded because python(abi) dependency is automatically
    added (but please also see below)

  - For python related packages, please check the dependency for python-module
    related rpm by yourself. For example, /usr/bin/bmpanel2cfg contains:
---------------------------------------------------------------------
     3  import bmpanel2
     4  import gtk, gobject
     5  from gtk import gdk
---------------------------------------------------------------------
    This means that -cfg package should have "Requires: pygtk2".

* %changelog
  - As it is convenient when using Fedora CVS, it is recommended that
    you add one line between each %changelog entry like:
---------------------------------------------------------------------
* Mon Nov 09 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.2.pre1 
- Added python-devel build requirement
- Fixed docbook stylesheet reference

* Fri Nov 06 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.1.pre1 
- Updated to upstream version 2.1pre1
- Seperated cfg package 

* Thu Oct 20 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.0.1a-1 
- Initial Release 
---------------------------------------------------------------------


For now, blocking FE-Legal.
Comment 7 Marcus Moeller 2009-11-10 14:16:35 EST
Contacted Upstream.

Is it perhaps possible not to include these themes within the resulting package?

Best Regards
Marcus
Comment 8 Mamoru TASAKA 2009-11-10 18:36:48 EST
(In reply to comment #7)
> Is it perhaps possible not to include these themes within the resulting
> package?

Currently (i.e. unless the license of the files above changes),
it is a must to remove those files from the srpm, and of course the
rebuilt binary rpm must not include those files. If your question means
"does this package work even without those themes?", perhaps it works
because some other themes are not under CC-BY-NC-SA.
Comment 9 Marcus Moeller 2009-11-11 03:23:00 EST
Hi,

Thanks for your reply. I know that it would work technically. I am going to rebuild the package without those themes.

The author won't change the license of these files and he will also not remove them from the source package.

Updated spec follows.

Best Regards
Marcus
Comment 10 Marcus Moeller 2009-11-11 06:57:51 EST
- Removed themes with legal problems from source tarball 
- Removed unnecessary Requires
- Added pygtk2 requirement

Spec URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.3.pre1/bmpanel2.spec

SRPM URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.3.pre1/bmpanel2-2.1-0.3.pre1.fc11.src.rpm

Best Regards
Marcus
Comment 11 Mamoru TASAKA 2009-11-11 12:44:00 EST
Removing FE-Legal.
Comment 12 Mamoru TASAKA 2009-11-11 13:23:46 EST
Well

! For packaging issue:
* Desktop file
  - rpms containing GUI applications should also include the corresponding
    desktop files:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

* Shebang
  - From rpmlint:
--------------------------------------------------------------
bmpanel2-cfg.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bmpanel2.py 0644 /usr/bin/env
--------------------------------------------------------------
    bmpanel2.py contains shebang, however this file does not have
    executionable permission. This script seems to be called from
    /usr/bin/bmpanel2cfg only, so the shebang doesn't seem to be
    needed and should be removed.

! For usability
- When I try bmpanel2:
---------------------------------------------------------------
[tasaka1@localhost ~]$ bmpanel2
(2.1pre1/bmpanel.c:158) Missing theme parameter, trying default "native"
FATAL (2.1pre1/panel.c:358) Too many widgets here, try to remove one or more
---------------------------------------------------------------
  Is this normal? (note that I am using GNOME).
Comment 13 Marcus Moeller 2009-11-12 07:01:42 EST
- I have now added a desktop file for bmpanel2cfg. IMHO it does not make much sense to add a desktop file for the panel itself.
- Added Icon reference
- Removed shebang / contacted upstream on that

Spec URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.4.pre1/bmpanel2.spec

SRPM URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.4.pre1/bmpanel2-2.1-0.4.pre1.fc11.src.rpm

The application starts fine on my GNOME Box, just got the following errors if there is another widget active:

(2.1pre1/bmpanel.c:158) Missing theme parameter, trying default "native"
(2.1pre1/widget-systray.c:169) There is another tray selection owner, disabling tray
(2.1pre1/panel.c:269) Failed to create widget: "systray"

Best Regards
Marcus
Comment 14 Mamoru TASAKA 2009-11-14 12:23:42 EST
Well, still I cannot launch bmpanel2 on GNOME, it launches
on XFCE, so I will continue this review request.

For -0.4:

* Source
  - For source, please write the URL of the original source as a
    comment, and rename the stripped tarball to like
    "%{name}-%{upstream_version}-stripped.tar.gz" or so.

* icon cache updating
  - Please follow
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
    ( You are using the old template )
  - As you are using %{_datadir}/icons/gnome/ (not %_datadir/icons/hicolor),
    the scriptlet should also be using this directory.
Comment 15 Marcus Moeller 2009-11-17 08:44:07 EST
Updated according to your advice.

Spec URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.5.pre1/bmpanel2.spec

SRPM URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.5.pre1/bmpanel2-2.1-0.5.pre1.fc11.src.rpm

Concerning the error message you get while trying to start bmpanel2 from GNOME, I guess you got a lot of open systray apps:

if (total_constants_width + total_separators_width > 
    panel->width - min_fill_size)
    {
     XDIE("Too many widgets here, try to remove one or more");
    }

Best Regards
Marcus
Comment 16 Mamoru TASAKA 2009-11-17 13:46:14 EST
For -0.5:

* Desktop icon
  - I just reconsidered icon symlink treatment, and I found that
    * leaving "Requires: gnome-icon-theme" as it is
    * and replacing "Icon=bmpanel2cfg" in bmpanel2cfg.desktop with
      "Icon=preferences-system-windows"
    will suffice and all symlinks treatment in current bmpanel2.spec
    is not needed. Also all scripts related to GTK icon cache update
    should not be needed.
Comment 17 Marcus Moeller 2009-11-18 07:06:23 EST
- Added preferences-system-windows icon reference to bmpanel2cfg.desktop
- As icon cache re-generation seems to be unnecessary now, it has been removed

Spec URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.6.pre1/bmpanel2.spec

SRPM URL:
http://www.marcus-moeller.de/share/build/bmpanel2/2.1-0.6.pre1/bmpanel2-2.1-0.6.pre1.fc11.src.rpm

I would prefer if you could sponsor me as the 'l7 review' associated with Christoph may still take some time.

Best Regards
Marcus
Comment 18 Mamoru TASAKA 2009-11-18 11:12:19 EST
For sponsorship issue, please wait for a moment.
Comment 19 Mamoru TASAKA 2009-11-26 11:35:43 EST
Well, should I wait until Christoph sponsors you or do you
want me to sponsor you?
Comment 20 Mamoru TASAKA 2009-12-07 09:45:45 EST
ping?
Comment 21 Marcus Moeller 2009-12-07 10:02:11 EST
Christoph already sponsored me.

Best Regards
Marcus
Comment 22 Mamoru TASAKA 2009-12-07 11:31:12 EST
Okay, I confirmed that mmoeller is approved by cwickert

-------------------------------------------------------
   This package (bmpanel2) is APPROVED by mtasaka
-------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).
Comment 23 Mamoru TASAKA 2009-12-18 03:10:50 EST
ping?
Comment 24 Mamoru TASAKA 2010-01-04 12:21:00 EST
ping again?
Comment 25 Marcus Moeller 2010-01-04 13:46:20 EST
Hi,

sorry for the late reply. Going to push this week. I was in holiday the past few days.

Best Regards
Marcus
Comment 26 Marcus Moeller 2010-01-12 08:49:06 EST
New Package CVS Request
=======================
Package Name: bmpanel2
Short Description: NETWM-compatible panel for X11
Owners: mmoeller
Branches: F-11 F-12
InitialCC:
Comment 27 Jason Tibbitts 2010-01-12 22:10:06 EST
CVS done (by process-cvs-requests.py)
Comment 28 Fedora Update System 2010-01-13 08:34:41 EST
bmpanel2-2.1-0.6.pre1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bmpanel2-2.1-0.6.pre1.fc11
Comment 29 Fedora Update System 2010-01-13 08:35:57 EST
bmpanel2-2.1-0.6.pre1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bmpanel2-2.1-0.6.pre1.fc12
Comment 30 Mamoru TASAKA 2010-01-13 11:24:54 EST
Closing.
Comment 31 Fedora Update System 2010-01-19 14:39:16 EST
bmpanel2-2.1-0.6.pre1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2010-01-19 14:44:23 EST
bmpanel2-2.1-0.6.pre1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.